package usecase

import "gitlab.informatika.org/k-01-11/graduit-be/src/module/topic_allocation/entity"

type TopicAllocationRepo interface {
	NewTopic(topic entity.Topik) (output entity.Topik, err error)
	GetTopic(page int, limit int, search string, id string, periode string) (output []entity.Topik, err error)
	GetTopicByID(ID string) (output entity.Topik, err error)
	UpdateTopic(topic entity.Topik) (output entity.Topik, err error)
	DeleteTopic(ID string) (err error)
}