package usecase

import "gitlab.informatika.org/k-01-11/graduit-be/src/module/ruangan/entity"

type RuanganRepository interface {
	NewRuangan(ruangan entity.Ruangan) (output entity.Ruangan, err error)
	GetRuangan(limit int, offset int) (output []entity.Ruangan, err error)
	GetRuanganById(id string) (output entity.Ruangan, err error)
	GetAllRuangan() (output []entity.Ruangan, err error)
}
